/kyc/verify_bvnPOSTfirstname and lastname are accepted but optional (send empty strings). Each call is charged.application/jsonrequired"22212345678"Min length: 10"Adebayo""Oluwaseun""ACME-20261121-000184"Min length: 10success when the request did what you asked.null on most errors.success when the request did what you asked.null on most errors.success when the request did what you asked.null on most errors.success when the request did what you asked.null on most errors.curl -X POST "https://api.sendcheap.us/apps/business/kyc/verify_bvn" \ -H "Authorization: Bearer <token>" \ -H "Content-Type: application/json" \ -d '{ "bvn": "22212345678", "firstname": "Adebayo", "lastname": "Oluwaseun", "tranx_id": "ACME-KYC-0000000101" }'
{ "status": "success", "message": "BVN retrieved successfully", "data": { "bvn_data": { "id": 3051, "bvn": "22212345678", "bvn_data": { "request_reference": "a1b2c3d4e5", "infoId": 48211, "bvn_number": "22212345678", "name_on_card": "ADEBAYO OLUWASEUN", "enrolment_branch": "IKEJA", "enrolment_bank": "058", "formatted_registration_date": "2014-06-03", "level_of_account": "Level 2 - Medium Level Accounts", "nin": null, "watchlisted": "NO", "verification_status": "VERIFIED", "service_type": "BVN Full Details", "personal_info": { "first_name": "ADEBAYO", "middle_name": "JOHN", "last_name": "OLUWASEUN", "full_name": "ADEBAYO JOHN OLUWASEUN", "email": "adebayo@example.com", "gender": "Male", "phone_number": "08031234567", "phone_number_2": null, "date_of_birth": "12-Apr-1990", "formatted_date_of_birth": "1990-04-12", "lga_of_origin": "Ikeja", "state_of_origin": "Lagos State", "nationality": null, "marital_status": "Single", "image_url": "https://images.example.com/bvn/22212345678.jpg" }, "residential_info": { "state_of_residence": "Lagos State", "lga_of_residence": null, "residential_address": "12 Allen Avenue, Ikeja" } }, "bvn_image": "_BVN/22212345678.jpg", "created_at": "2026-11-21 12:01:33" } } }